Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
telephony
/
connectors
/
batch
Batch get connectors by ID
curl --request POST \
  --url https://api.us.poly.ai/v1/agents/{agentId}/telephony/connectors/batch \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "connectorIds": [
    "<string>"
  ]
}
'
{
  "found": [
    {
      "connectorId": "<string>",
      "name": "<string>",
      "accountId": "<string>",
      "projectId": "<string>",
      "clientEnv": "<string>",
      "variantId": "<string>",
      "asrLangCode": "<string>",
      "ttsLangCode": "<string>",
      "voiceName": "<string>",
      "disableHandoff": true
    }
  ],
  "notFound": [
    "<string>"
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agentId
string
required

Body

application/json

Set of connector IDs to retrieve in a single call.

connectorIds
string[]
required

List of connector IDs to retrieve

Minimum array length: 1

Response

Successful response

Result of a batch connector lookup, partitioned into connectors that were found and IDs that weren't.

found
object[]
required
notFound
string[]
required
Last modified on April 22, 2026